:root {
	/* Colors */

	--color-red-light: #C11;
	--color-red: #a00;
	--color-red-dark: #700;

	--color-blue-light: #2262AD;
	--color-blue: #00A;
	--color-blue-dark: #007;

	--color-green-light: #050;
	--color-green: #040;
	--color-green-dark: #030;

	--color-gray-xlight: #ddd;
	--color-gray-light: #ccc;
	--color-gray-m: #aaa;
	--color-gray-accessible: #767676;
	--color-gray-mmdark: #777;
	--color-gray-mdark: #555;
	--color-gray-dark: #444;
	--color-gray-xdark: #333;
	--color-gray-xxdark: #111;

	--color-text-light: var(--color-gray-dark);
	--color-text: var(--color-gray-xdark);
	--color-text-dark: var(--color-gray-xxdark);

	--border-color-tab: var(--color-gray-xlight);
	--border-color-alt: var(--color-gray-light);
	--border-color-sample: var(--color-gray-m);

	--bg-base: white;
	--bg-nav: #fdfdfd;
	--bg-header: var(--color-gray-mdark);
	--bg-tooltip: var(--color-gray-dark);
	--bg-select: var(--color-gray-m);

	/* Typography */

	--font-size-15: 15px;
	--font-size-xxs: 0.7em;
	--font-size-xs: 0.9em;
	--font-size-s: 0.95em;
	--font-size-m: 1.1em;
	--font-size-l: 1.3em;
	--font-size-xl: 1.5em;

	--line-height-20: 20px;
	--line-height-xs: 1.1;
	--line-height-s: 1.2;
	--line-height-m: 1.3;
	--line-height-l: 1.5;
	--line-height-xl: 1.7;

	/* Layout / spacing */
	--bar-height: 45px;

	--width-form-text: 80%;
	--width-form-button: 40%;

	--padding-xs: 3px;
	--padding-s: 5px;
	--padding-m: 7px;
	--padding-l: 10px;
	--padding-xl: 20px;
	--padding-xxl: 80px;

	--margin-xs: 3px;
	--margin-s: 5px;
	--margin-m: 7px;
	--margin-l: 10px;
	--margin-xl: 20px;

	--touch-size: 48px;

	/* Borders & radius */
	--border-s: 1px solid var(--color-red);
	--border-gray-s: 1px solid var(--color-gray-light);

	--radius-xs: 1px;
	--radius-s: 3px;
	--radius-m: 5px;
	--radius-l: 7px;
	--radius-xl: 10px;

	/* Shadows */
	--shadow-halo-s: 1.95px 1.95px 2.6px rgba(0,0,0,0.15);
	--shadow-halo-m: 3px 3px 4px rgba(0,0,0,0.2);

	--shadow-xs: 0 1px 2px rgba(0,0,0,0.1);
	--shadow-s: 0 2px 4px rgba(0,0,0,0.15);
	--shadow-m: 0 4px 12px rgba(0,0,0,0.2.5);
	--shadow-l: 0 5px 14px rgba(0,0,0,0.3);
	--shadow-xl: 0 6px 18px rgba(0,0,0,0.3);

	/* Grid */
	--grid-10-cols: repeat(10, minmax(calc(10% - 4px), calc(10% - 4px)));
	/* Grid Widths */
	--col-width-xs: 40ch;
	--col-width-s: 50ch;
	--col-width-m: 70ch;
	--col-width-l: 90ch;
	--col-width-xl: 110ch;


	/*   +++   Components   +++   */

	/* Inputs */

	--input-padding: var(--padding-xs);
	--input-border: var(--border-s);
	--input-radius: var(--radius-s);
	--input-bg: var(--bg-base);
	--input-color: var(--color-text);

	/* Cards / panels */

	--panel-padding: var(--padding-m);
	--panel-bg: var(--bg-base);
	--panel-radius: var(--radius-m);
	--panel-shadow: var(--shadow-halo-s);

	/* popovers */

	--tooltip-bg: var(--bg-tooltip);
	--tooltip-color: var(--color-gray-xlight);
	--tooltip-padding: var(--space-m);
	--tooltip-radius: var(--radius-s);
	--tooltip-shadow: var(--shadow-halo-m);

	/* misc */

	--color-scroll-track: #f7f7f7;
	--color-results-parallel: #6495ED;
	--color-results-term: var(--color-red-dark);

}
/* dynaXML CONTENT stylesheet */
* {
	box-sizing: border-box;
}
body {
font-family: "Lato", sans-serif;
font-size:1em;
line-height:1.3em;
}
::-webkit-scrollbar {
    width: 12px;
}
::-webkit-scrollbar-track {
    background: var(--color-scroll-track); 
}
::-webkit-scrollbar-thumb {
    background: var(--color-gray-dark); 
	border-radius: var(--radius-xs);
}

.vnone {visibility: hidden;}
.dnone {display: none;}
/* top / nav bar layout */
div.bbar{
	position:fixed;
	z-index: 110;
	margin: 0;
	padding:0 45px;
	top:0;
	right:0;
	left:0;
	height:auto;
	min-height:45px;
	text-align:center;
	font-size:15px;
	background: var(--bg-base);
	color: var(--color-gray-xdark);
	font-weight:bold;
	display:flex;
	justify-content: space-between;
	align-items: center;
	border-bottom: var(--border-s);
}

div.bbar form, div.bbar form * {
	/*font-size:15px;
	line-height:20px;*/
}
div.bbar form {
	display:flex;
	justify-content: space-between;
	align-items: center;
}
input[type='text'] {
	height:22px;
	display: block;
	border: var(--border-s);
	font-weight:normal;
	border-radius: var(--radius-xs);
	margin: 0;
}

div.bbar span {
	font-weight: normal;
}
#dispTitle {
	font-size: 1.3em;
	font-weight: bold;
}
.bbar input[type='submit'] {
    display: block;
	padding: 0 var(--padding-xs) var(--padding-xs) var(--padding-xs);
	border-radius: var(--radius-xs);
    margin: 0 0 0 var(--margin-l);
    background: var(--color-red);
    color: white !important;
    cursor: pointer;
    text-align: center;
}
div.bbar a, div.bbar input[type='submit'] {color: var(--color-gray-xdark);}

#viewMenu {
  display: none;
  position: fixed;
  top: 50px;
  right: 30px;
  background: var(--bg-base) !important;
  border: var(--border-s);
  border-radius: var(--radius-s);
  min-width: 160px;
  box-shadow: var(--shadow-m);
  overflow: hidden;
  z-index: 120;
}

#viewMenu.show {
  display: block;
}
#viewMenu div {
  padding: 8px 12px;
  cursor: pointer;
  white-space: nowrap;
}
#viewMenu div:hover {
  background: var(--color-gray-mdark);
}

.ensrc, .dt {
	display: inline-block;
	font-size: 11px;
	padding: 1px;
	z-index: 3;
	color: gray;
	line-height: 11px;
	margin: auto 0 auto 7px;
}
.dt { color: var(--color-red); }

#docframe{
	position:fixed;
	top:45px;
	right:0;
	left:0;
	height:calc(100% - 45px);
	display:flex;
}

#doctexts {
	width:65%;
	height: 100%;
	border-left: var(--border-s);
	line-height: var(--line-height-l);
	font-size: var(--font-size-l);
	overflow-y:scroll;
	overflow-x:hidden;
	flex-grow: 1;
	display: grid;
	grid-template-columns: 1fr 1fr;
}
#doctexts p {
	margin: var(--margin-xs), 0;
}
#doctexts .book,  #doctexts h1,  #doctexts h2,  #doctexts h3,  #doctexts h4,  #doctexts h5,  #doctexts h6 {
	font-weight:bold;
	text-align:justify;
	margin: var(--margin-xs);
}
#doctexts h1,#doctexts h2,#doctexts h3 {
	font-size: var(--font-size-xl);
}
#doctexts h4,#doctexts h5,#doctexts h6 {
	line-height: var(--line-height-m);
}


#content1, #content2 {
  display: grid;
  grid-template-columns: minmax(auto, var(--col-width-s));
}
/*larger max width if not dual text*/
#doctexts:has(#content2[style*="display:none"]) #content1 {
  grid-template-columns: minmax(auto,  var(--col-width-m));
}
#doctexts:has(#content1[style*="display:none"]) #content2 {
  grid-template-columns: minmax(auto,  var(--col-width-m));
}

#content1 > *, #content2 > *,
#content1::before,
#content1::after, #content2::before,
#content2::after {
  justify-self: stretch;
}

#content1, #content2 {
	text-align: justify;
	width:100%;
	height:fit-content;
	padding: 0 var(--padding-s) var(--padding-xxl) var(--padding-s);
}
#content1 {justify-content: end; position: relative;}
#content2 {justify-content: start;}

@media (max-width: 800px) {
	#dispTitle {display: none;}
  #docframe {
    flex-direction: column;
  }

  #toc,
  #doctexts {
    width: 100% !important;
    resize: none !important;
    flex-grow: 1;
    height: auto;
  }

  #doctexts {
    grid-template-columns: 1fr;
  }
  #content1, #content2 {height: fit-content;}
}

/* TOC*/
#toc {
   margin: 0;
   overflow-y:scroll;
   overflow-x:hidden;
   width:35%;
   min-width:0%;
   height: 100%;
   resize: horizontal;
   padding: 0 0 var(--padding-xxl) var(--padding-s);
   font-size: var(--font-size-m);
   font-variant: petite-caps;
   contain: strict;
}

#toc *::first-letter {
	text-transform: capitalize;
}

#toc p{
	display: block;
	white-space: nowrap;
	overflow: hidden;
	margin:  var(--margin-xs) 0 0 var(--margin-xs);
	min-width: 100%;
}
#toc p.head {
	margin-top: var(--margin-l);
}
#toc span {
	white-space: nowrap;
	overflow: hidden;
}
#toc .section span.stitle {
	font-style: italic;
	font-weight: 500;
	text-shadow: 0 0 .4px;
	display: inline-block;
	cursor: pointer;
}
#toc p.snippet {
	cursor: pointer;
	font-style: normal;
	margin: 5px 0 0 1px;
	padding-left: var(--padding-s);
	text-align: justify;
	border-left: 3px solid var(--color-red);
	min-width: 100%;
	font-variant: normal;
 }
 	
#toc .section{
	font-style: italic;
	/*font-weight: bold;*/
	display: block;
	padding: 5px 0 2px 0px;
}

#toc .hits {
	display: inline-block;
	font-size: 1em;
	color: var(--color-blue);
	font-weight: bold;
	width: 3ch;
	min-width: 3ch;
	padding-left: 2px;
}
#queryLoading{
	padding: var(--padding-l);
	color: white;
	background-color: var(--color-gray-xdark);
	position: absolute;
	top: 0px;
	left: 0px;
	text-align: center;
	z-index: 7;
}
p.divnum {
   text-align: right;
   vertical-align: top;
   font-weight: bold;
   width: 30px;
}

p.head {
   vertical-align: top;
	 white-space: nowrap;
}

#toc .head.book {
	font-weight: bold;
	border-top: 1px solid var(--color-blue);
	border-left: 1px solid var(--color-blue);
	margin-top: 20px;
	line-height: 1.5em;
	font-size: 1.1em;
}

#toc .head.book ~ .section {
	border-left: 1px solid var(--color-blue);
	margin: 0 0 0 3px;
	padding: 5px 0 2px 2px;
}


.hit-count {
   color: var(--color-blue);
}
.alert{color: var(--color-red);}
#toc .toc-hi, #toc .toc-hi a, #toc .toc-hi .hits {
   background-color: var(--color-red);
   color: var(--bg-base);
   font-weight: bold;
}
#toc .snip-hi {
   color: var(--color-blue);
   font-weight: bold;
   padding: 3px 0;
}

.hitsection.snip-hi {border:  none;}
.hitsection.snip-hi .subhit {
	border-bottom:  5px solid blue;
}

.hitsection a{
	display:none;
}
.hitsection:hover a, .hitsection:active a, .hitsection a:hover, .hitsection a:active {
	display:inline;
	position: absolute;
	top:0px;
	color:#3a9 !important;
	font-weight:bold;
	font-size:2em;
}

.hitsection:hover a:not(:last-of-type){
	left: -10px;
}
.hitsection:hover a:last-of-type{
	right: -10px;
}


div.navbar {
	display:flex;
	justify-content:space-between;
	margin:0;
	padding:0 2px;
}

div.navbar span, div.navbar svg {
	display:inline-block;
	color: var(--color-gray-xdark); 
	font-weight:bold;
	font-size: var(--font-size-xl);
	padding:0 var(--padding-l);
}
.navbar span:hover, div.navbar svg:hover {
	cursor: pointer;
}
#srchReturnWrap {margin-left: 21px; padding: 0;}
#srchReturn {
	height: auto;
	width: auto;
	vertical-align: middle;
}
/* citation popup */
.container {
	background-color: var(--bg-base);
	border: 1px solid var(--color-gray-xdark);
	height: 100%;
	padding: var(--padding-l);
}

/* inline elements etc. */

a {
	color: var(--color-gray-xdark);
	text-decoration:none;
}

a:hover{
	text-decoration:underline;
	cursor: pointer;
}

td.hits {
	width: 15px;
	overflow:hidden;
}
.hit  {
	background-color: var(--color-gray-xlight); 
	color: var(--color-red); 
	font-weight: bold;
}

.subhit, .term {
	color: var(--color-red-light);
	font-weight: bold;
	text-decoration:none;
}



/* For Note popups */
.nlk{
	display: inline-block;
	padding: 0 5px;
	vertical-align: super;
	font-size: 70%;
	position:relative;
	cursor: pointer;
}
span.nlk span { 
	display: none;
	position: fixed; 
	left:0;
	right:0;
	bottom:0;
	line-height: var(--line-height-l);
	height:auto; 
	background: var(--color-gray-dark); 
	color: var(--bg-base); 
	border-radius: 2px;
	padding: 15px; 
	z-index:10;
}
 
span.nlk:active span:not(.term), span.nlk:focus span:not(.term), span.nlk:hover span:not(.term),
		.nlk span:active, .nlk span:focus, .nlk span:hover {
			display: block;
		}

/* loading dual text ... */
#content1::before {
    content: attr(data-loading); /* value that that refers to CSS 'content' */
    position:absolute;
    top: 100px;
    left: calc(50% - 10ch);
    z-index: 100;
    visibility: visible;
    line-height: 40px;
}
/* misc notes that should be removed */
div.notes {display:none;}
/* PL / PG Columns */
.MCN {
	display: inline-block; margin: 0 5px; 
font-size: 0.8em;
color: var(--color-gray-accessible);
}
/* PL notes -- inline and onclick */
div.MNBody {
display: none;
}


/* PG display */
.pg_header { display: flex; justify-content: space-between; margin: 0 0 10px 0; border-bottom: 1px solid black; padding: 7px; }
.pg_dual_column {   display: flex; gap: 30px; }
.pg_left_column, .pg_right_column { width: min(50ch, calc(50% - 15px));   text-align: justify; }
.pg_full_width_column {text-align: justify;}
.pg_3_subcolumns { display:flex; gap:10px;}
.pg_table { width: 100% }
.pg_title { font-weight: bold; text-align: center;   margin: 10px auto; }
.pg_label { display: none; }
.pg_2_subcolumns, .pg_3_subcolumns { display: flex; font-size: small; }

.pg_apparatus {  font-size: 0.65em;  justify-content: space-between; padding: 7px; border-top: 1px solid black; border-bottom: 1px solid black; }
.pg_apparatus .pg_right_column, .pg_apparatus .pg_left_column {  width: calc(50% - 15px); }
.pg_footnotes_horizontal_list { display: flex; flex-flow: row wrap; gap: 20px; font-size: 0.9em; margin: 10px auto; }
.pg_note { display: inline-block; margin: 3px 10px;   gap: 10px;   flex-flow: row wrap; }
.pg_nc { display: inline; }
.pg_nn { display: inline-block; margin-right: 7px; }


/* for split pages */
div[class^='pg_']:empty {  min-height: 20px;  border: 1px solid #767676;  min-width: 20px; }
div[class^='pg_']:empty::before {content: "split page, see above or below..."; color: #767676; font-size: 8pt; padding-left: 5px;}